## org.eclipse.jet.taglib
Class TagLibraryManager

    java.lang.Object
      org.eclipse.jet.taglib.TagLibraryManager

    public class TagLibraryManager

extends java.lang.Object

Access point for information on all declared tag libraries.

Field Summary
`static java.lang.String` `STANDARD_CONTROL_TAGS_ID`
`static java.lang.String` `STANDARD_FORMAT_TAGS_ID`
`static java.lang.String` `STANDARD_JAVA_TAGS_ID`
`static java.lang.String` `STANDARD_WORKSPACE_TAGS_ID`

Method Summary
`static TagLibraryManager` `getInstance()` Return the instance of the tag library manager.
`java.lang.String[]` `getKnownLibraryIds()`
`TagLibrary` `getTagLibrary(java.lang.String id)` Find the TabLibrary declaration given the tag library id.
`TagLibrary` `getTagLibrary(java.lang.String id, boolean includeWorkspaceDeclarations)` Return the tag library declaration given the tag library id.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STANDARD_CONTROL_TAGS_ID

    public static final java.lang.String STANDARD_CONTROL_TAGS_ID

See Also:
  Constant Field Values

### STANDARD_JAVA_TAGS_ID

    public static final java.lang.String STANDARD_JAVA_TAGS_ID

See Also:
  Constant Field Values

### STANDARD_FORMAT_TAGS_ID

    public static final java.lang.String STANDARD_FORMAT_TAGS_ID

See Also:
  Constant Field Values

### STANDARD_WORKSPACE_TAGS_ID

    public static final java.lang.String STANDARD_WORKSPACE_TAGS_ID

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static TagLibraryManager getInstance()

  Return the instance of the tag library manager.

  Returns:
    the singleton instance

### getTagLibrary

    public TagLibrary getTagLibrary(java.lang.String id)

  Find the TabLibrary declaration given the tag library id.

  Parameters:
    `id` - a tag library id.
  Returns:
    the tag library instance, or `null` if id is not known.

### getTagLibrary

    public TagLibrary getTagLibrary(java.lang.String id,
                                    boolean includeWorkspaceDeclarations)

  Return the tag library declaration given the tag library id.

  If `includeWorkspaceDeclarations` is `true`, then workspace plug-in projects will be searched for tag library definitions prior to installed plug-ins. This option is useful for compilers and editors.

  Parameters:
    `id` - a tag library id.
    `includeWorkspaceDeclarations` - include tag libraries declared in plug-ins in the current workspace
  Returns:
    the tag library instance, or `null` if id is not known.

### getKnownLibraryIds

    public java.lang.String[] getKnownLibraryIds()

Copyright 2006 IBM Corporation and others. All Rights Reserved.